<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.4"?>
<plugin>
   <extension-point id="aggregationTypeAdapter" name="Aggregation Type Adapter" schema="schema/aggregationTypeAdapter.exsd"/>
   <extension
         point="org.eclipse.core.contenttype.contentTypes">
      <!-- TG-1496 -->
      <content-type
      		base-type="org.eclipse.core.runtime.xml"
            default-charset="utf-8"
            file-extensions="agg"
            id="info.textgrid.lab.core.aggregations.ui.aggregationeditor"
            name="%content-type.name"
            priority="normal">
      </content-type>
   </extension>

   <extension
         point="info.textgrid.lab.core.model.contentTypes">
      <contentType
            creatable="true"
            eclipseContentType="info.textgrid.lab.core.aggregations.ui.aggregationeditor"
            extension="aggregation"
            image="icons/107-ist-Aggregation.gif"
            internal="false"
            name="%contentType.name"
            typeID="text/tg.aggregation+xml">
      </contentType>
      <contentType
            creatable="true"
            eclipseContentType="info.textgrid.lab.core.aggregations.ui.aggregationeditor"
            extension="edition"
            image="icons/108-ist-Edition.gif"
            internal="false"
            name="%contentType.name.0"
            typeID="text/tg.edition+tg.aggregation+xml">
      </contentType>
      <contentType
            creatable="true"
            eclipseContentType="info.textgrid.lab.core.aggregations.ui.aggregationeditor"
            extension="collection"
            image="icons/109-ist-Collection.gif"
            internal="false"
            name="%contentType.name.1"
            typeID="text/tg.collection+tg.aggregation+xml">
      </contentType>
   </extension>
   


   <extension
         point="org.eclipse.ui.views">
      <view
            class="info.textgrid.lab.core.versions.ui.VersionView"
            icon="icons/history.gif"
            id="info.textgrid.lab.core.aggregations.ui.versionview"
            name="%view.name.0"
            restorable="true">
      </view>
      <view
            class="info.textgrid.lab.core.versions.ui.CrudWarningView"
            icon="icons/warning.gif"
            id="info.textgrid.lab.core.aggregations.ui.crudwarningview"
            name="%view.name.1"
            restorable="true">
      </view>
      <view
            class="info.textgrid.lab.core.revisions.ui.RevisionView"
            icon="icons/152-Revisionen.gif"
            id="info.textgrid.lab.core.aggregations.ui.revisionview"
            name="%view.name.2"
            restorable="true">
      </view>
   </extension>
   <extension
         point="org.eclipse.ui.perspectives">
      <perspective
            class="info.textgrid.lab.core.aggregations.ui.AggregationComposerPerspective"
            icon="icons/072-zeige-AggregationPerspektive.gif"
            id="info.textgrid.lab.core.aggregations.ui.AggregationCompositionPerspective"
            name="%perspective.name">
      </perspective>
   </extension>
   <extension
         point="org.eclipse.ui.commands">
       <command
            id="info.textgrid.lab.core.aggregations.ui.AddSelection"
            name="AddSelection">
            <commandParameter
               id="info.textgrid.lab.core.aggregations.ui.EditAggregation.parameter.contenttype"
               name="contenttype"
               optional="true">
         	</commandParameter>
         	<commandParameter
               id="info.textgrid.lab.core.aggregations.ui.EditAggregation.parameter.extension"
               name="extension"
               optional="true">
         	</commandParameter>
      </command>
      <command
            id="info.textgrid.lab.core.aggregations.ui.RemoveItem"
            name="RemoveItem">
      </command>
	  <command
            id="info.textgrid.lab.core.aggregations.ui.ExpandAll"
            name="ExpandAll">
      </command>
      <command
            id="info.textgrid.lab.core.aggregations.ui.CollapseAll"
            name="CollapseAll">
      </command>
   	  <command
            id="info.textgrid.lab.core.aggregations.ui.ExpandAggregation"
            name="ExpandAggregation">
      </command>
      <command
            id="info.textgrid.lab.core.aggregations.ui.CollapseAggregation"
            name="CollapseAggregation">
      </command>
      <command
            id="info.textgrid.lab.core.aggregations.ui.RenameItem"
            name="RenameItem">
      </command>
      <command
            id="info.textgrid.lab.core.aggregations.ui.ReferTo"
            name="ReferTo">
            <commandParameter
               id="info.textgrid.lab.core.aggregations.ui.ReferTo.parameter.referto"
               name="referto"
               optional="true">
         	</commandParameter>
      </command>
      <command
            id="info.textgrid.lab.core.aggregations.ui.RevisionReferTo"
            name="RevisionReferTo">
      </command>
      <command
            id="info.textgrid.lab.core.aggregations.ui.ShowAggregationComposer"
            name="%command.name">
      </command>
      <command
            description="%command.description"
            id="info.textgrid.lab.core.aggregations.ui.EditAggregation"
            name="%command.name.0">
         <commandParameter
               id="info.textgrid.lab.core.aggregations.ui.EditAggregation.parameter.uri"
               name="uri"
               optional="true">
         </commandParameter>
         <commandParameter
               id="info.textgrid.lab.core.aggregations.ui.EditAggregation.parameter.readonly"
               name="readonly"
               optional="true">
         </commandParameter>
      </command>
      <command
            id="info.textgrid.lab.core.aggregations.ui.VersionView"
            name="%command.name.1">
      </command>
      <command
            description="%command.description.0"
            id="info.textgrid.lab.core.versions.ui.detachVersion"
            name="%command.name.2">
      </command>
      <command
            description="%command.description.1"
            id="info.textgrid.lab.core.versions.setPreviousVersion"
            name="%command.name.3">
      </command>
      <command
            description="%command.description.2"
            id="info.textgrid.lab.core.versions.saveNewVersion"
            name="%command.name.4">
      </command>
      <command
            id="info.textgrid.lab.core.aggregations.ui.RevisionView"
            name="%command.name.5">
      </command>
      <command
            description="%command.description.3"
            id="info.textgrid.lab.core.versions.saveNewRevision"
            name="%command.name.6">
      </command>
      <command
            id="info.textgrid.lab.core.aggregations.ui.crudwarning"
            name="%command.name.7">
      </command>
      <command
            id="info.textgrid.lab.core.aggregations.ui.AggregationCompositionPerspective"
            name="%command.name.8">
      </command>
   </extension>
  
   <extension
         point="org.eclipse.ui.menus">
      <menuContribution
            locationURI="popup:org.eclipse.ui.popup.any?after=popup.anchor2">
         <command
               commandId="info.textgrid.lab.core.aggregations.ui.VersionView"
               icon="icons/history.gif"
               style="push">
            <visibleWhen
                  checkEnabled="true">
            </visibleWhen>
         </command>
         <command
               commandId="info.textgrid.lab.core.versions.ui.detachVersion"
               style="push">
            <visibleWhen
                  checkEnabled="true">
            </visibleWhen>
         </command>
         <command
               commandId="info.textgrid.lab.core.aggregations.ui.RevisionView"
               style="push">
         </command>
         <command
               commandId="info.textgrid.lab.core.aggregations.ui.crudwarning"
               style="push">
         </command>
      </menuContribution>
      <menuContribution
            locationURI="toolbar:perspectivesbar">
         <command
               commandId="info.textgrid.lab.core.aggregations.ui.ShowAggregationComposer"
               label="%command.label"
               style="push"
               tooltip="%command.tooltip">
         </command>
      </menuContribution>
      <menuContribution
            locationURI="menu:tools?after=tools.anchor1">
         <command
               commandId="info.textgrid.lab.core.aggregations.ui.ShowAggregationComposer"
               style="push"
               tooltip="%command.tooltip.0">
         </command>
      </menuContribution>
      <menuContribution
            locationURI="menu:file?after=file.anchor2">
         <command
               commandId="info.textgrid.lab.core.versions.saveNewRevision"
               style="push">
         </command>
         <command
               commandId="info.textgrid.lab.core.versions.saveNewVersion"
               mnemonic="%command.mnemonic"
               style="push">
            <visibleWhen
                  checkEnabled="true">
            </visibleWhen>
         </command>
      </menuContribution>
      <menuContribution
            locationURI="popup:org.eclipse.ui.popup.any?after=popup.anchor1">
         <command
               commandId="info.textgrid.lab.core.aggregations.ui.EditAggregation"
               style="push">
            <visibleWhen
                  checkEnabled="false">
               <and>
                  <count
                        value="1">
                  </count>
                  <iterate>
                     <and>
                        <adapt
                              type="info.textgrid.lab.core.model.TextGridObject">
                        </adapt>
                        <test
                              forcePluginActivation="true"
                              property="info.textgrid.lab.ui.core.testers.IsAggregation"
                              value="true">
                        </test>
                        <test
                              forcePluginActivation="true"
                              property="info.textgrid.lab.ui.core.testers.IsPublic"
                              value="false">
                        </test>
                     </and>
                  </iterate>
               </and>
            </visibleWhen>
         </command>
      </menuContribution>
      <menuContribution
            locationURI="menu:info.textgrid.lab.ui.core.addmenuid?after=info.textgrid.lab.ui.core.addmenu.separator1">
         <command
               commandId="info.textgrid.lab.ui.core.addobject"
               icon="icons/107-ist-Aggregation.gif"
               label="%command.label.0"
               style="push">
            <parameter
                  name="info.textgrid.lab.ui.core.addobject.contenttype"
                  value="text/tg.aggregation+xml">
            </parameter>
         </command>
      </menuContribution>
      <menuContribution
            locationURI="menu:info.textgrid.lab.ui.core.addmenuid?after=info.textgrid.lab.ui.core.addmenu.separator3">
         <command
               commandId="info.textgrid.lab.ui.core.addobject"
               icon="icons/108-ist-Edition.gif"
               label="%command.label.1"
               style="push">
            <parameter
                  name="info.textgrid.lab.ui.core.addobject.contenttype"
                  value="text/tg.edition+tg.aggregation+xml">
            </parameter>
         </command>
         <command
               commandId="info.textgrid.lab.ui.core.addobject"
               icon="icons/109-ist-Collection.gif"
               label="%command.label.2"
               style="push">
            <parameter
                  name="info.textgrid.lab.ui.core.addobject.contenttype"
                  value="text/tg.collection+tg.aggregation+xml">
            </parameter>
         </command>
      </menuContribution>
      <menuContribution
            locationURI="menu:info.textgrid.lab.ui.core.file.newmenu?after=info.textgrid.lab.ui.core.file.addmenu.separator1">
         <command
               commandId="info.textgrid.lab.ui.core.addobject"
               icon="icons/107-ist-Aggregation.gif"
               label="%command.label.3"
               style="push">
            <parameter
                  name="info.textgrid.lab.ui.core.addobject.contenttype"
                  value="text/tg.aggregation+xml">
            </parameter>
         </command>
      </menuContribution>
      <menuContribution
            locationURI="menu:info.textgrid.lab.ui.core.file.newmenu?after=info.textgrid.lab.ui.core.file.addmenu.separator3">
         <command
               commandId="info.textgrid.lab.ui.core.addobject"
               icon="icons/108-ist-Edition.gif"
               label="%command.label.4"
               style="push">
            <parameter
                  name="info.textgrid.lab.ui.core.addobject.contenttype"
                  value="text/tg.edition+tg.aggregation+xml">
            </parameter>
         </command>
         <command
               commandId="info.textgrid.lab.ui.core.addobject"
               icon="icons/109-ist-Collection.gif"
               label="%command.label.5"
               style="push">
            <parameter
                  name="info.textgrid.lab.ui.core.addobject.contenttype"
                  value="text/tg.collection+tg.aggregation+xml">
            </parameter>
         </command>
      </menuContribution>
   </extension> <extension
         point="org.eclipse.ui.handlers">
      <handler
            class="info.textgrid.lab.core.aggregations.ui.AddSelectionHandler"
            commandId="info.textgrid.lab.core.aggregations.ui.AddSelection">
      </handler>
      <handler
            class="info.textgrid.lab.core.aggregations.ui.RemoveItemHandler"
            commandId="info.textgrid.lab.core.aggregations.ui.RemoveItem">
      </handler>
      <handler
            class="info.textgrid.lab.core.aggregations.ui.ExpandAllHandler"
            commandId="info.textgrid.lab.core.aggregations.ui.ExpandAll">
      </handler>
      <handler
            class="info.textgrid.lab.core.aggregations.ui.CollapseAllHandler"
            commandId="info.textgrid.lab.core.aggregations.ui.CollapseAll">
      </handler>
            <handler
            class="info.textgrid.lab.core.aggregations.ui.ExpandAggregationHandler"
            commandId="info.textgrid.lab.core.aggregations.ui.ExpandAggregation">
      </handler>
      <handler
            class="info.textgrid.lab.core.aggregations.ui.CollapseAggregationHandler"
            commandId="info.textgrid.lab.core.aggregations.ui.CollapseAggregation">
      </handler>
      <handler
            class="info.textgrid.lab.core.aggregations.ui.RenameItemHandler"
            commandId="info.textgrid.lab.core.aggregations.ui.RenameItem">
      </handler>
      <handler
            class="info.textgrid.lab.core.aggregations.ui.ReferToHandler"
            commandId="info.textgrid.lab.core.aggregations.ui.ReferTo">
      </handler>
      <handler
            class="info.textgrid.lab.core.aggregations.ui.RevisionReferToHandler"
            commandId="info.textgrid.lab.core.aggregations.ui.RevisionReferTo">
      </handler>
      <handler
            class="info.textgrid.lab.core.aggregations.ui.ShowAggregationCompositionPerspectiveHandler"
            commandId="info.textgrid.lab.core.aggregations.ui.ShowAggregationComposer">
      </handler>
      <handler
            class="info.textgrid.lab.core.aggregations.ui.EditAggregationHandler"
            commandId="info.textgrid.lab.core.aggregations.ui.EditAggregation">
      </handler>
      <handler
            class="info.textgrid.lab.core.versions.ui.OpenVersionViewHandler"
            commandId="info.textgrid.lab.core.aggregations.ui.VersionView">
         <enabledWhen>
            <iterate
                  ifEmpty="false"
                  operator="and">
               <adapt
                     type="info.textgrid.lab.core.model.TextGridObject">
                  <test
                        property="info.textgrid.lab.core.model.hasPreviousVersion">
                  </test>
               </adapt>
            </iterate>
         </enabledWhen>
      </handler>
      <handler
            class="info.textgrid.lab.core.versions.ui.DetachVersionHandler"
            commandId="info.textgrid.lab.core.versions.ui.detachVersion">
         <enabledWhen>
            <iterate
                  ifEmpty="false"
                  operator="and">
               <adapt
                     type="info.textgrid.lab.core.model.TextGridObject">
                  <test
                        property="info.textgrid.lab.core.model.hasPreviousVersion">
                  </test>
               </adapt>
            </iterate>
         </enabledWhen>
      </handler>
      <handler
            class="info.textgrid.lab.core.versions.ui.SetPreviousVersionHandler"
            commandId="info.textgrid.lab.core.versions.setPreviousVersion">
      </handler>
      <handler
            class="info.textgrid.lab.core.revisions.ui.OpenRevisionViewHandler"
            commandId="info.textgrid.lab.core.aggregations.ui.RevisionView">
         <enabledWhen>
            <iterate
                  ifEmpty="false"
                  operator="and">
               <adapt
                     type="info.textgrid.lab.core.model.TextGridObject">
               </adapt>
            </iterate>
         </enabledWhen>
      </handler>
      <handler
            class="info.textgrid.lab.core.revisions.ui.SaveNewRevisionHandler"
            commandId="info.textgrid.lab.core.versions.saveNewRevision">
         <activeWhen>
            <and>
               <with
                     variable="activeEditorId">
                  <not>
                     <equals
                           value="&quot;&quot;">
                     </equals>
                  </not>
               </with>
               <with
                     variable="activeEditorInput">
                  <adapt
                        type="info.textgrid.lab.core.model.TextGridObject">
                  </adapt>
               </with>
            </and>
         </activeWhen>
      </handler>
      <handler
            class="info.textgrid.lab.core.revisions.ui.CrudWarningHandler"
            commandId="info.textgrid.lab.core.aggregations.ui.crudwarning">
         <enabledWhen>
            <and>
               <iterate
                     ifEmpty="false"
                     operator="and">
                  <or>
                     <adapt
                           type="info.textgrid.lab.core.model.TextGridObject">
                     </adapt>
                     <adapt
                           type="info.textgrid.lab.core.model.TextGridProject">
                     </adapt>
                  </or>
               </iterate>
            </and>
         </enabledWhen>
      </handler>
                   <handler
                         class="info.textgrid.lab.core.aggregations.ui.SaveNewAggregationRevisionHandler"
                         commandId="info.textgrid.lab.core.versions.saveNewRevision">
                      <activeWhen>
                         <and>
                            <with
                                  variable="activeEditorId">
                               <not>
                                  <equals
                                        value="&quot;&quot;">
                                  </equals>
                               </not>
                            </with>
                            <with
                                  variable="activeEditorInput">
                               <instanceof
                                     value="info.textgrid.lab.core.aggregations.ui.views.AggregationComposerEditorInput">
                               </instanceof>
                            </with>
                         </and>
                      </activeWhen>
                   </handler>
   </extension>
   <extension
         point="org.eclipse.ui.commandImages">
      <image
            commandId="info.textgrid.lab.core.aggregations.ui.EditAggregation"
            icon="icons/072-zeige-AggregationPerspektive.gif">
      </image>
      <image
            commandId="info.textgrid.lab.core.aggregations.ui.ShowAggregationComposer"
            icon="icons/072-zeige-AggregationPerspektive.gif">
      </image>
      <image
            commandId="info.textgrid.lab.core.aggregations.ui.ShowAggregationComposer"
            icon="icons/072-zeige-AggregationPerspektive.gif">
      </image>
      <image
            commandId="info.textgrid.lab.core.aggregations.ui.RevisionView"
            icon="icons/152-Revisionen.gif">
      </image>
      <image
            commandId="info.textgrid.lab.core.aggregations.ui.crudwarning"
            icon="icons/warning.gif">
      </image>
   </extension>
   <extension
         point="org.eclipse.ui.editors">
      <editor
            class="info.textgrid.lab.core.aggregations.ui.views.AggregationComposerEditor"
            default="false"
            icon="icons/072-zeige-AggregationPerspektive.gif"
            id="info.textgrid.lab.core.aggregations.ui.editor"
            name="%editor.name">
         <contentTypeBinding
               contentTypeId="info.textgrid.lab.core.aggregations.ui.aggregationeditor">
         </contentTypeBinding>
      </editor>
   </extension>
   <extension
         point="info.textgrid.lab.ui.core.newObjectContributor">
      <contentTypeContributor
            contentType="text/tg.aggregation+xml"
            needsValidMetadata="false"
            preparator="info.textgrid.lab.core.aggregations.ui.NewAggregationPreparator"
            showMetadataPage="true">
      </contentTypeContributor>
      <contentTypeContributor
            contentType="text/tg.edition+tg.aggregation+xml"
            needsValidMetadata="false"
            preparator="info.textgrid.lab.core.aggregations.ui.NewEditionPreparator"
            showMetadataPage="true">
      </contentTypeContributor>
      <contentTypeContributor
            contentType="text/tg.collection+tg.aggregation+xml"
            needsValidMetadata="false"
            preparator="info.textgrid.lab.core.aggregations.ui.NewCollectionPreparator"
            showMetadataPage="true">
      </contentTypeContributor>
   </extension>
   <extension
         point="org.eclipse.core.runtime.adapters">
      <factory
            adaptableType="info.textgrid.lab.core.model.TGObjectReference"
            class="info.textgrid.lab.core.aggregations.ui.model.ACEditorInputFactory">
         <adapter
               type="org.eclipse.ui.IEditorInput">
         </adapter>
      </factory>
   </extension>
   <extension
         point="org.eclipse.help.contexts">
      <contexts
            file="chAggregationComposer.xml">
      </contexts>
   </extension>
   <extension
         point="info.textgrid.lab.core.aggregations.ui.aggregationTypeAdapter">
      <aggregationTypeAdapter
            class="info.textgrid.lab.core.aggregations.ui.model.adapters.SimpleAggregationAdapter"
            contentType="text/tg.aggregation+xml">
      </aggregationTypeAdapter>
      <aggregationTypeAdapter
            class="info.textgrid.lab.core.aggregations.ui.model.adapters.EditionTypeAdapter"
            contentType="text/tg.edition+tg.aggregation+xml">
      </aggregationTypeAdapter>
      <aggregationTypeAdapter
            class="info.textgrid.lab.core.aggregations.ui.model.adapters.CollectionTypeAdapter"
            contentType="text/tg.collection+tg.aggregation+xml">
      </aggregationTypeAdapter>
   </extension>
   <extension
         point="info.textgrid.lab.ui.core.openObject">
      <openObject
            command="info.textgrid.lab.core.aggregations.ui.EditAggregation"
            label="Aggregation Composer"
            parameter_readonly="info.textgrid.lab.core.aggregations.ui.EditAggregation.parameter.readonly"
            parameter_uri="info.textgrid.lab.core.aggregations.ui.EditAggregation.parameter.uri"
            priority="0">
         <contentType
               id="text/tg.aggregation+xml">
         </contentType>
         <contentType
               id="text/tg.collection+tg.aggregation+xml">
         </contentType>
         <contentType
               id="text/tg.edition+tg.aggregation+xml">
         </contentType>
         <contentType
               id="text/tg.glosscontrol+tg.aggregation+xml">
         </contentType>
      </openObject>
   </extension>

</plugin>
